import { ApiVisa, BaseApiTemplateService, BasicApiResponseModel } from '../../shared';
import { HttpClient } from '@angular/common/http';
import { WfIssueContainerModel } from "../../../../../../models/aggregates/wf/issue";
import { Observable } from 'rxjs';
export declare class IssueWfService extends BaseApiTemplateService<WfIssueContainerModel> {
    constructor(http: HttpClient);
    uploadFile(formData: FormData, issueGuid: string, visa: ApiVisa): Observable<BasicApiResponseModel<any>>;
    replaceFile(formData: FormData, extGuid: string, visa: ApiVisa): Observable<BasicApiResponseModel<any>>;
    getFile(extGuid: string, visa: ApiVisa): Observable<Blob>;
}
